Bug 1035934 - Review Request: mod_form - Apache module that decodes data submitted from Web forms
Summary: Review Request: mod_form - Apache module that decodes data submitted from Web...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1035935
TreeView+ depends on / blocked
 
Reported: 2013-11-28 22:33 UTC by Andrea Veri
Modified: 2013-12-30 19:28 UTC (History)
1 user (show)

Fixed In Version: mod_form-0.1-1.20131204svn145.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-14 03:02:51 UTC
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2013-11-28 22:33:27 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/mod_form/mod_form.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/mod_form/mod_form-0.1-1.src.rpm
Description: Utility to decode data submitted from Web forms. It deals with both GET and POST methods where the data are encoded using the default content type application/x-www-form-urlencoded. It does not decode multipart/form-data (file upload) forms: for those you should use mod_upload.
Fedora Account System Username: averi

Comment 1 Andrea Veri 2013-11-29 12:03:39 UTC
New URL for the .src.rpm file: http://averi.fedorapeople.org/RPMs/mod_form/mod_form-0.1-1.el6.src.rpm.

Comment 2 Patrick Uiterwijk 2013-12-04 13:47:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Version numbering must be sane
  Note: if you get the code from SVN, please mark the version as the svn revision you used.
   Since these are two files, you could include them as seperate links to the direct SVN rev.
- Header files in -devel subpackage, if present.
  Note: mod_form : /usr/include/httpd/mod_form.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- License field in the package spec file matches the actual license.
  Note: Code is GPLv2+, spec says GPLv2
- %build honors applicable compiler flags or justifies otherwise.
  Note: apxs does not use the official C building flags (add -Wc,%{optflags})
- If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
  Note: Please include a link to an upstream bug report for this, or info when you sent an email
- Patches link to upstream bugs/comments/lists or are otherwise justified.
  Note: I do not see a reference for the mod_form.c.preserve_args.patch



===== MUST items =====

Extra:
[!]: Version numbering must be sane

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
    Issue: code is GPLv2+, spec says GPLv2
[x]: Package must own all directories that it creates.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mod_form-0.1-1.fc20.x86_64.rpm
          mod_form-0.1-1.el6.src.rpm
mod_form.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
mod_form.x86_64: W: spelling-error %description -l en_US urlencoded -> encoded
mod_form.x86_64: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
mod_form.x86_64: W: no-documentation
mod_form.x86_64: W: devel-file-in-non-devel-package /usr/include/httpd/mod_form.h
mod_form.x86_64: E: incorrect-fsf-address /usr/include/httpd/mod_form.h
mod_form.x86_64: E: non-standard-executable-perm /usr/lib64/httpd/modules/mod_form.so 0775L
mod_form.src: W: spelling-error %description -l en_US www -> WWW, wow
mod_form.src: W: spelling-error %description -l en_US urlencoded -> encoded
mod_form.src: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
mod_form.src: W: invalid-url Source0: mod_form-0.1.tar.gz
2 packages and 0 specfiles checked; 2 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mod_form
mod_form.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
mod_form.x86_64: W: spelling-error %description -l en_US urlencoded -> encoded
mod_form.x86_64: W: spelling-error %description -l en_US multipart -> multiparty, multiplier
mod_form.x86_64: W: no-documentation
mod_form.x86_64: W: devel-file-in-non-devel-package /usr/include/httpd/mod_form.h
mod_form.x86_64: E: incorrect-fsf-address /usr/include/httpd/mod_form.h
mod_form.x86_64: E: non-standard-executable-perm /usr/lib64/httpd/modules/mod_form.so 0775L
1 packages and 0 specfiles checked; 2 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
mod_form (rpmlib, GLIBC filtered):
    httpd
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
mod_form:
    mod_form
    mod_form(x86-64)



Unversioned so-files
--------------------
mod_form: /usr/lib64/httpd/modules/mod_form.so

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -n mod_form --prebuilt
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 3 Patrick Uiterwijk 2013-12-04 13:50:38 UTC
Sorry ,version numbering must be according to https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

Comment 5 Patrick Uiterwijk 2013-12-04 14:49:51 UTC
Please make -devel depend on the base package: http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Comment 6 Patrick Uiterwijk 2013-12-04 14:51:43 UTC
Please note it might be (VERY) useful to replace
Source0:        mod_form-%{version}-1.20131204svn145.tar.gz
with
Source0:        mod_form-%{version}-%{release}.tar.gz


If you can add the base package dependency, I would say: 

this package is APPROVED

Comment 7 Andrea Veri 2013-12-04 15:07:39 UTC
New Package SCM Request
=======================
Package Name: mod_form
Short Description: Apache module that decodes data submitted from Web forms
Owners: averi
Branches: f20 el6 
InitialCC: averi

Comment 8 Gwyn Ciesla 2013-12-04 15:52:28 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-12-04 17:52:57 UTC
mod_form-0.1-1.20131204svn145.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_form-0.1-1.20131204svn145.fc20

Comment 10 Fedora Update System 2013-12-04 17:53:13 UTC
mod_form-0.1-1.20131204svn145.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_form-0.1-1.20131204svn145.el6

Comment 11 Fedora Update System 2013-12-05 00:39:46 UTC
mod_form-0.1-1.20131204svn145.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2013-12-14 03:02:51 UTC
mod_form-0.1-1.20131204svn145.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2013-12-30 19:28:44 UTC
mod_form-0.1-1.20131204svn145.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.